Description

ES:
Al vectorizar como polígonos la capa adjunta con los procesos de caja de herramientas: vectorizar capa ráster (poligonos) y 
vectorizar capa ráster (poligonos)(B); genera datos incorrectos.(as in attached shape)

vectorizar capa ráster (poligonos):
No presenta la totalidad de islas en polígonos debida, generando polígonos superpuestos.

vectorizar capa ráster (poligonos)(B):
No presenta la totalidad de los polígonos.

El mismo erroe se detectó con todas las capas de trabajo del proyecto. Todas generadas a partir de capas producto de la
rasterización de capas de puntos, con valores entre -99999 y 100.
Se adjunta también el shape base.

EN:
At raster to poligons from attached layer with toolbox: vectorizar capa ráster (poligonos) & vectorizar capa ráster (poligonos)(B) wrong
data is generated.

vectorizar capa ráster (poligonos):
Not every islands are generated so overlaped poligons with diferente values for the same point instead. (as in attached shape)

vectorizar capa ráster (poligonos)(B):
Does not generate all de poligons expected.

Same error for every layer at the same work proyect. All of them generated by point to raster with values from -99999 to 100.
Point layer also attached.

History
#1 - 06/03/2015 09:08 PM - Mario Fevre

una solución provisoria que ha resultado bien, es ejecutar a continuacion el preoceso crear huecos sobre la capa resultado.
one simple solution is to execute crear hueco tool over result

#2 - 10/23/2015 12:05 PM - Álvaro Anguix
- Category set to Geoprocess

#3 - 11/02/2015 04:27 PM - Álvaro Anguix
- Status changed from New to Invalid

No es un bug, es la forma implementada de este geoproceso.
Por eso (ver ayuda) indica que es útil para datos con variables discretas (es decir, que adoptan un mismo valor en su conjunto) y no para variables
continuas (es lo que pasa con la capa que adjuntas, que dentro de un poligono con x valor, hay poligonos pequeños con otros valores).
Para lo que buscas habría que implementar otro georproceso que  utilizara otro procedimiento.

#4 - 01/26/2016 06:15 PM - Mario Fevre
- File salida_rasterizar poligono_B.shx added
- File salida_rasterizar poligono_B.shp added
- File salida_rasterizar poligono_B.dbf added
- File salida_rasterizar poligono.shx added
- File salida_rasterizar poligono.shp added
- File salida_rasterizar poligono.dbf added
- File rasterbase.tif added
- File rasterbase.rmf added

Pido que se revea este issue.

Independientemente que que sea un error o no; de la descripción del geoproceso no se desprende en ningún momento este comportamiento para el
algoritmo (generación de polígonos superpuestos).
Por definición (a mi entender) un raster no debería permitir interpretar entidades superpuestos, ya que su estructura define un único valor (categoría)
para cada pixel.
También pido que se preste atención al geoproceso "vectorizar capa ráster (polígonos)(B)". Esta entrada ha sido invalidada sin dar respuesta al
mismo. Este geoproceso no presenta ayuda adicional. Este geoproceso si evita la superposición de polígonos donde debería haber islas, pero, generá
huecos donde debería haber polígonos de 1px de superficie.
Para las capas de ejemplo subo una nuevas donde se puede apreciar mejor. Téngase en cuenta que aunque contiene números, esta es información
discreta pues define una cantidad limitada de valores. Son solo valores enteros que oscilan entre -10 y +10 (en la muestra son aún menos).

#5 - 01/26/2016 06:17 PM - Mario Fevre

en el anterior grupo de archivos pido disculpas por el nombre. donde dice rasterizar polígono debería decir vectorizar raster.

#6 - 08/06/2018 01:05 PM - Mario Carrera
- Status changed from Invalid to New

Reabro este ticket. En ocasiones hay datos discretos que contienen polígonos-isla, como pueden ser los límites administrativos.

Files
V7_variacion_D_24m.shx 14.3 KB 06/03/2015 Mario Fevre
V7_variacion_D_24m.tif 480 KB 06/03/2015 Mario Fevre
V7_variacion_D_24m.rmf 956 Bytes 06/03/2015 Mario Fevre
V7_variacion_D_24m.dbf 155 KB 06/03/2015 Mario Fevre
V7_variacion_D_24m.shp 480 KB 06/03/2015 Mario Fevre
rasterbase.rmf 5.81 KB 01/26/2016 Mario Fevre
rasterbase.tif 10.9 KB 01/26/2016 Mario Fevre
salida_rasterizar poligono.dbf 1.65 KB 01/26/2016 Mario Fevre
salida_rasterizar poligono.shp 17.8 KB 01/26/2016 Mario Fevre
salida_rasterizar poligono.shx 444 Bytes 01/26/2016 Mario Fevre
salida_rasterizar poligono_B.dbf 171 Bytes 01/26/2016 Mario Fevre
salida_rasterizar poligono_B.shp 11.2 KB 01/26/2016 Mario Fevre
salida_rasterizar poligono_B.shx 116 Bytes 01/26/2016 Mario Fevre
